PKCS8EncodedKeySpec

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security.spec
Class PKCS8EncodedKeySpec

    java.lang.Object
      java.security.spec.EncodedKeySpec
          java.security.spec.PKCS8EncodedKeySpec

All Implemented Interfaces:
  KeySpec

    public class PKCS8EncodedKeySpec

extends EncodedKeySpec

This class represents the ASN.1 encoding of a private key, encoded according to the ASN.1 type `PrivateKeyInfo`. The `PrivateKeyInfo` syntax is defined in the PKCS#8 standard as follows:

     PrivateKeyInfo ::= SEQUENCE {
       version Version,
       privateKeyAlgorithm PrivateKeyAlgorithmIdentifier,
       privateKey PrivateKey,
       attributes [0] IMPLICIT Attributes OPTIONAL }

     Version ::= INTEGER

     PrivateKeyAlgorithmIdentifier ::= AlgorithmIdentifier

     PrivateKey ::= OCTET STRING

     Attributes ::= SET OF Attribute

Since:
  1.2
Version:
  1.14, 02/02/00
Author:
  Jan Luehe
See Also:
  `Key`, `KeyFactory`, `KeySpec`, `EncodedKeySpec`, `X509EncodedKeySpec`

Constructor Summary
`PKCS8EncodedKeySpec(byte[] encodedKey)` Creates a new PKCS8EncodedKeySpec with the given encoded key.

Method Summary
`byte[]` | `getEncoded()` Returns the key bytes, encoded according to the PKCS #8 standard.
`String` | `getFormat()` Returns the name of the encoding format associated with this key specification.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PKCS8EncodedKeySpec

    public PKCS8EncodedKeySpec(byte[] encodedKey)

  Creates a new PKCS8EncodedKeySpec with the given encoded key.

  Parameters:
    `encodedKey` - the key, which is assumed to be encoded according to the PKCS #8 standard.

Method Detail

### getEncoded

    public byte[] getEncoded()

  Returns the key bytes, encoded according to the PKCS #8 standard.

  Overrides:
    `getEncoded` in class `EncodedKeySpec`
  Returns:
    the PKCS #8 encoding of the key.

### getFormat

    public final String getFormat()

  Returns the name of the encoding format associated with this key specification.

  Specified by:
    `getFormat` in class `EncodedKeySpec`
  Returns:
    the string `"PKCS#8"`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD